package com.usky.issue.controller.web;


import com.usky.common.core.bean.ApiResult;
import com.usky.common.core.bean.CommonPage;
import com.usky.issue.domain.YtDeviceStatus;
import com.usky.issue.service.YtDeviceStatusService;
import com.usky.issue.service.vo.YtDeviceStatusRequestVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * <p>
 * 离线设备VIEW 前端控制器
 * </p>
 *
 * @author fu
 * @since 2023-11-23
 */
@RestController
@RequestMapping("/ytDeviceStatus")
public class YtDeviceStatusController {
    @Autowired
    private YtDeviceStatusService ytDeviceStatusService;

    /**
     * 分页
     * @param requestVO
     * @return
     */
    @PostMapping("page")
    ApiResult<CommonPage<YtDeviceStatus>> page(@RequestBody YtDeviceStatusRequestVO requestVO){
        return ApiResult.success(ytDeviceStatusService.page(requestVO));
    }

    /**
     * 导出
     * @param
     * @return
     */
    @GetMapping("export")
    ApiResult<List<YtDeviceStatus>> export(){
        return ApiResult.success(ytDeviceStatusService.export());
    }

}

